Class | Tk::BLT::PlotComponent::Crosshairs
In: | tk/lib/tkextlib/blt/component.rb
Parent: | TkObject

### Methods

cget configinfo configure current_configinfo id new new off on to_eval toggle

### Constants

OBJ_TBL | = | {}

### Public Class methods

new(chart, keys={})

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 443
          def self.new(chart, keys={})
            return OBJ_TBL[chart.path] if OBJ_TBL[chart.path]
            super(chart, keys)
          end

new(chart, keys={})

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 448
          def initialize(chart, keys={})
            @parent = @chart = chart
            @cpath = @chart.path
            Crosshairs::OBJ_TBL[@cpath] = self
            @chart.crosshair_configure(keys) unless keys.empty?
            @path = @id = 'crosshairs'
          end

### Public Instance methods

cget(option)

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 464
          def cget(option)
            @chart.crosshair_cget(option)
          end

configinfo(key=nil)

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 471
          def configinfo(key=nil)
            @chart.crosshair_configinfo(key)
          end

configure(key, value=None)

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 467
          def configure(key, value=None)
            @chart.crosshair_configure(key, value)
            self
          end

current_configinfo(key=nil)

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 474
          def current_configinfo(key=nil)
            @chart.current_crosshair_configinfo(key)
          end

id()

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 456
          def id
            @id
          end

off()

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 478
          def off
            @chart.crosshair_off
            self
          end

on()

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 482
          def on
            @chart.crosshair_on
            self
          end

to_eval()

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 460
          def to_eval
            @id
          end

toggle()

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 486
          def toggle
            @chart.crosshair_toggle
            self
          end

[Validate]